Bug 259051 - devel/onetbb fails with error: always_inline function '_tpause' requires target feature 'waitpkg' when building with poudriere on amd64 stable 13
Summary: devel/onetbb fails with error: always_inline function '_tpause' requires targ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Only Me
Assignee: Ganael LAPLANCHE
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-10-10 18:16 UTC by Robert Cina
Modified: 2021-10-12 01:50 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (martymac)


Attachments
devel/onetbb poudriere build log of failure (31.84 KB, text/plain)
2021-10-10 18:16 UTC, Robert Cina
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Cina 2021-10-10 18:16:51 UTC
Created attachment 228571 [details]
devel/onetbb poudriere build log of failure

The port devel/onetbb fails with the following error:

In file included from /wrkdirs/usr/ports/devel/onetbb/work/oneTBB-2021.4.0/src/tbb/task_dispatcher.h:24:
/wrkdirs/usr/ports/devel/onetbb/work/oneTBB-2021.4.0/src/tbb/scheduler_common.h:230:9: error: always_inline function '_tpause' requires target feature 'waitpkg', but would be inlined into function 'prolonged_pause' that is compiled without support for 'waitpkg'
        _tpause(0, time_stamp + 700);
        ^
1 error generated.


The poudriere build system is amd64 Stable-13. This occurred with the update to onetbb to 2021.4.0.
Comment 1 Alastair Hogge 2021-10-11 10:19:29 UTC
Also occurs on 14-CURRENT (248682a589159619aa5f2019e415a423e849e327) with a ports tree at 40f1c0d283d42c1c89222da3e84428db730c31cf
Comment 2 commit-hook freebsd_committer 2021-10-11 14:35:06 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=be58a139c5451153fe809c4c23e3184809786200

commit be58a139c5451153fe809c4c23e3184809786200
Author:     Ganael LAPLANCHE <martymac@FreeBSD.org>
AuthorDate: 2021-10-11 14:31:14 +0000
Commit:     Ganael LAPLANCHE <martymac@FreeBSD.org>
CommitDate: 2021-10-11 14:31:14 +0000

    devel/onetbb: Fix amd64 build for 13-STABLE and 14-CURRENT

    PR:             259051
    Reported by:    transitive@gmail.com

 devel/onetbb/files/patch-cmake-compilers-Clang.cmake (new) | 13 +++++++++++++
 1 file changed, 13 insertions(+)
Comment 3 Ganael LAPLANCHE freebsd_committer 2021-10-11 14:35:59 UTC
Hello,

Thanks for your report! It should be fixed now :)

Best regards,

Ganael.
Comment 4 Alastair Hogge 2021-10-12 01:50:06 UTC
Awesome, thanks mate